Debian Bug report logs - #661094
git svn dcommit: subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.

version graph

Package: libsvn-perl; Maintainer for libsvn-perl is Peter Samuelson <peter@p12n.org>; Source for libsvn-perl is src:subversion.

Reported by: Roman Erzhukov <romaerzhuk@yandex.ru>

Date: Fri, 24 Feb 2012 06:03:02 UTC

Owned by: Jonathan Nieder <jrnieder@gmail.com>

Severity: important

Tags: upstream

Merged with 616168

Found in versions subversion/1.6.12dfsg-4, subversion/1.6.17dfsg-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Fri, 24 Feb 2012 06:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roman Erzhukov <romaerzhuk@yandex.ru>:
New Bug report received and forwarded. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 24 Feb 2012 06:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roman Erzhukov <romaerzhuk@yandex.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: git-svn: fails to git svn dcommit"
Date: Fri, 24 Feb 2012 10:02:02 +0400
Package: git-svn
Version: 1:1.7.9-1
Severity: important

Dear Maintainer,

Fails to git svn dcommit:

$ gis svn dcommit
Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Проверочное утверждение «is_canonical(path, strlen(path))» не выполнено.
error: git-svn died of signal 6

$ export LANG=C
$ git svn dcommit
Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages git-svn depends on:
ii  git                   1:1.7.9-1
ii  libsvn-perl           1.6.17dfsg-3
ii  libterm-readkey-perl  2.30-4+b2
ii  libwww-perl           6.03-1

git-svn recommends no packages.

Versions of packages git-svn suggests:
ii  git-doc     1:1.7.9-1
ii  subversion  1.6.17dfsg-3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Fri, 24 Feb 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 24 Feb 2012 09:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 661094@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Roman Erzhukov <romaerzhuk@yandex.ru>
Cc: 661094@bugs.debian.org
Subject: Re: git-svn: fails to git svn dcommit"
Date: Fri, 24 Feb 2012 03:44:24 -0600
Hi Roman,

Roman Erzhukov wrote:

> $ git svn dcommit
> Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
> perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Проверочное утверждение «is_canonical(path, strlen(path))» не выполнено.
> error: git-svn died of signal 6
>
> $ export LANG=C
> $ git svn dcommit
> Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
> perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.

Please attach .git/config.

Is this a regression (i.e., did it start after an upgrade, and if so,
does downgrading the relevant package work around it[*])?

Thanks,
Jonathan

[*] see http://snapshot.debian.org/ for historical versions of packages




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Fri, 24 Feb 2012 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Роман Ержуков <romaerzhuk@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 24 Feb 2012 18:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 661094@bugs.debian.org (full text, mbox):

From: Роман Ержуков <romaerzhuk@yandex.ru>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: "661094@bugs.debian.org" <661094@bugs.debian.org>
Subject: Re: git-svn: fails to git svn dcommit"
Date: Fri, 24 Feb 2012 22:21:28 +0400
24.02.2012, 13:44, "Jonathan Nieder" <jrnieder@gmail.com>:
> Hi Roman,
>
> Roman Erzhukov wrote:
>
>>  $ git svn dcommit
>>  Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
>>  perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Проверочное утверждение «is_canonical(path, strlen(path))» не выполнено.
>>  error: git-svn died of signal 6
>>
>>  $ export LANG=C
>>  $ git svn dcommit
>>  Committing to http://svn.dfu.i-teco.ru/projects/trunk/АС Выплаты ...
>>  perl: /build/buildd-subversion_1.6.17dfsg-3-i386-9WvF5o/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.
>
> Please attach .git/config.
>
> Is this a regression (i.e., did it start after an upgrade, and if so,
> does downgrading the relevant package work around it[*])?
>
> Thanks,
> Jonathan
>
> [*] see http://snapshot.debian.org/ for historical versions of packages

Hi, Jonathan,

It's not regression. It was after one local git commit, when I renamed the Java package.

~/.gitconfig
[core]
        warnambiguousrefs = false
        autocrlf = false
[color]
        diff = auto
        branch = auto
        interactive = auto
        status = auto
[user]
        name = Roman Erzhukov
        email = romaerzhuk@yandex.ru
[gui]
        encoding = UTF-8
[alias]
        st = status
        ci = commit
        co = checkout
        br = branch
        ll = log --decorate=short --oneline --graph
        lg = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit --date=relative
        svn-log = svn log --show-commit
        up = svn fetch --all
        sci = svn dcommit
[svn]
        pushmergeinfo = true
[pack]
        windowMemory = 512m

git/config
[core]
        repositoryformatversion = 0
        filemode = true
        bare = false
        logallrefupdates = true
[svn-remote "svn"]
        url = http://svn.dfu.i-teco.ru/projects
        fetch = trunk/АС Выплаты:refs/remotes/trunk
        branches = branches/АС Выплаты/*:refs/remotes/*
        tags = tags/АС Выплаты/*:refs/remotes/tags/*
[svn-remote "beznal"]
        url = http://svn.dfu.i-teco.ru/projects
        fetch = trunk/IR199 - Безналичные расчеты/sources/was/beznal-dao:refs/remotes/beznal

-- 
Best regards,
        Roman




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Fri, 24 Feb 2012 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 24 Feb 2012 19:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 661094@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Роман Ержуков <romaerzhuk@yandex.ru>
Cc: "661094@bugs.debian.org" <661094@bugs.debian.org>
Subject: Re: git-svn: fails to git svn dcommit"
Date: Fri, 24 Feb 2012 13:03:52 -0600
[Message part 1 (text/plain, inline)]
Роман Ержуков wrote:

> It's not regression. It was after one local git commit, when I
> renamed the Java package.
[...]
> [svn-remote "svn"]
>         url = http://svn.dfu.i-teco.ru/projects
>         fetch = trunk/АС Выплаты:refs/remotes/trunk
>         branches = branches/АС Выплаты/*:refs/remotes/*
>         tags = tags/АС Выплаты/*:refs/remotes/tags/*

Thanks.

I tried to reproduce this with git 1.7.9.2 and libsvn1 1.6.17dfsg-3.
At first, I got a different error[*] ("Unable to determine upstream
SVN information"), which turned out to be due to an unrelated bug.
Unsetting "[log] abbrevcommit" in ~/.gitconfig made the error go
away.

Unfortunately after that, "git svn dcommit" works fine.

| $ git svn dcommit
| Committing to file:///tmp/test-repo/trunk/АС Выплаты ...
|         M       hello.c
| Committed r6
|         M       hello.c
| r6 = 9747b1cb9cddf37f85da9cce99f17d4507005524 (refs/remotes/trunk)
| No changes between current HEAD and refs/remotes/trunk
| Resetting to the latest refs/remotes/trunk

Reproduction recipe:

	svnadmin create /tmp/test-repo
	svnadmin load /tmp/test-repo <dump.txt
	git init wc
	cd wc
	git svn init -s file:///tmp/test-repo
	sed -i -e '
		s,trunk:,trunk/АС Выплаты:,
		s,branches/\*:,branches/АС Выплаты/\*:,
		s,tags/\*:,tags/АС Выплаты/\*:,
	' .git/config
	git svn fetch
	echo 'hello! 3' >hello.c
	git commit -a -m test
	git svn dcommit

No assertion failure.

 $ ldd /usr/lib/i386-linux-gnu/libsvn_swig_perl-1.so.1 | grep libsvn
	libsvn_delta-1.so.1 => /usr/lib/i386-linux-gnu/libsvn_delta-1.so.1 (0xb7701000)
	libsvn_subr-1.so.1 => /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1 (0xb76ae000)
 $ sha1sum /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1
 8ce873afadd6910a764a2539e59e64c2158ba437  /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1

Ideas?

Jonathan

[*]
	$ git svn dcommit
	Use of uninitialized value $hash in string eq at /usr/lib/git-core/git-svn line 1899.
	Use of uninitialized value $hash in string eq at /usr/lib/git-core/git-svn line 1899.
	Unable to determine upstream SVN information from HEAD history.
	Perhaps the repository is empty. at /usr/lib/git-core/git-svn line 780.

It's because this copy of git is missing the fix 83cf21f98 (git-svn:
un-break "git svn rebase" when log.abbrevCommit=true, 2012-02-12).
[dump.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Sat, 25 Feb 2012 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Роман Ержуков <romaerzhuk@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Sat, 25 Feb 2012 05:27:04 GMT) Full text and rfc822 format available.

Message #25 received at 661094@bugs.debian.org (full text, mbox):

From: Роман Ержуков <romaerzhuk@yandex.ru>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: "661094@bugs.debian.org" <661094@bugs.debian.org>
Subject: Re: git-svn: fails to git svn dcommit"
Date: Sat, 25 Feb 2012 09:23:36 +0400
[Message part 1 (text/plain, inline)]
24.02.2012 23:03, Jonathan Nieder пишет:
> Роман Ержуков wrote:
>
>> It's not regression. It was after one local git commit, when I
>> renamed the Java package.
> [...]
>> [svn-remote "svn"]
>>          url = http://svn.dfu.i-teco.ru/projects
>>          fetch = trunk/АС Выплаты:refs/remotes/trunk
>>          branches = branches/АС Выплаты/*:refs/remotes/*
>>          tags = tags/АС Выплаты/*:refs/remotes/tags/*
> Thanks.
>
> I tried to reproduce this with git 1.7.9.2 and libsvn1 1.6.17dfsg-3.
> At first, I got a different error[*] ("Unable to determine upstream
> SVN information"), which turned out to be due to an unrelated bug.
> Unsetting "[log] abbrevcommit" in ~/.gitconfig made the error go
> away.
>
> Unfortunately after that, "git svn dcommit" works fine.
>
> | $ git svn dcommit
> | Committing to file:///tmp/test-repo/trunk/АС Выплаты ...
> |         M       hello.c
> | Committed r6
> |         M       hello.c
> | r6 = 9747b1cb9cddf37f85da9cce99f17d4507005524 (refs/remotes/trunk)
> | No changes between current HEAD and refs/remotes/trunk
> | Resetting to the latest refs/remotes/trunk
>
> Reproduction recipe:
>
> 	svnadmin create /tmp/test-repo
> 	svnadmin load /tmp/test-repo<dump.txt
> 	git init wc
> 	cd wc
> 	git svn init -s file:///tmp/test-repo
> 	sed -i -e '
> 		s,trunk:,trunk/АС Выплаты:,
> 		s,branches/\*:,branches/АС Выплаты/\*:,
> 		s,tags/\*:,tags/АС Выплаты/\*:,
> 	' .git/config
> 	git svn fetch
> 	echo 'hello! 3'>hello.c
> 	git commit -a -m test
> 	git svn dcommit
>
> No assertion failure.
>
>   $ ldd /usr/lib/i386-linux-gnu/libsvn_swig_perl-1.so.1 | grep libsvn
> 	libsvn_delta-1.so.1 =>  /usr/lib/i386-linux-gnu/libsvn_delta-1.so.1 (0xb7701000)
> 	libsvn_subr-1.so.1 =>  /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1 (0xb76ae000)
>   $ sha1sum /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1
>   8ce873afadd6910a764a2539e59e64c2158ba437  /usr/lib/i386-linux-gnu/libsvn_subr-1.so.1
>
> Ideas?
>
> Jonathan
>
> [*]
> 	$ git svn dcommit
> 	Use of uninitialized value $hash in string eq at /usr/lib/git-core/git-svn line 1899.
> 	Use of uninitialized value $hash in string eq at /usr/lib/git-core/git-svn line 1899.
> 	Unable to determine upstream SVN information from HEAD history.
> 	Perhaps the repository is empty. at /usr/lib/git-core/git-svn line 780.
>
> It's because this copy of git is missing the fix 83cf21f98 (git-svn:
> un-break "git svn rebase" when log.abbrevCommit=true, 2012-02-12).

Hi, Jonathan

Unfortunately, I could not reproduce the bug again. I changed the svn repo directy after the bug. I thied to commit into new temporary svn repo from git and repeat same steps, but dcommit was fine.

-- 
Best regards,
    Roman

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Thu, 05 Apr 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Thu, 05 Apr 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 661094@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Роман Ержуков <romaerzhuk@yandex.ru>
Cc: "661094@bugs.debian.org" <661094@bugs.debian.org>
Subject: Re: git-svn: fails to git svn dcommit"
Date: Thu, 5 Apr 2012 03:19:35 -0500
severity 661094 normal
tags 661094 + unreproducible
retitle 661094 git svn dcommit: subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.
affects 661094 + libsvn-perl
quit

Роман Ержуков wrote:

> Unfortunately, I could not reproduce the bug again. I changed the
> svn repo directy after the bug. I thied to commit into new temporary
> svn repo from git and repeat same steps, but dcommit was fine.

I'm keeping this bug but lowering the severity because I would still
like to see it solved.  If it ever happens again, please don't
hesitate to write again.

Thanks and sorry for the trouble,
Jonathan




Severity set to 'normal' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:21:12 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:21:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'git svn dcommit: subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.' from 'git-svn: fails to git svn dcommit"' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:21:13 GMT) Full text and rfc822 format available.

Added indication that 661094 affects libsvn-perl Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:21:14 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Mon, 14 May 2012 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodolphe Pelloux-Prayer <rodolphe@damsy.net>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 14 May 2012 17:21:05 GMT) Full text and rfc822 format available.

Message #45 received at 661094@bugs.debian.org (full text, mbox):

From: Rodolphe Pelloux-Prayer <rodolphe@damsy.net>
To: Debian Bug Tracking System <661094@bugs.debian.org>
Subject: Re: git svn dcommit: subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.
Date: Mon, 14 May 2012 19:08:47 +0200
Package: git-svn
Version: 1:1.7.10-1
Followup-For: Bug #661094

Hi,

I've got the same type of error during a git svn fetch:
perl: /tmp/buildd/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c :115 : svn_path_join:  L'assertion « svn_path_is_canonical(component, pool) » a échoué.
error: git-svn died of signal 6

Here a quick script to reproduce the bug:
  svnadmin create /tmp/bug
  svn mkdir file:///tmp/bug/trunk -m"trunk"
  svn mkdir file:///tmp/bug/tags -m"tags"
  svn checkout file:///tmp/bug/trunk bug
  cd bug
  touch plop
  svn add plop 
  svn commit -m "Plop"
  svn copy file:///tmp/bug/trunk file:///tmp/bug/tags/0.1 -m "V0.1"
  cd ..
  git svn init file:///tmp/bug --trunk file:///tmp/bug/trunk --tags file:///tmp/bug/tags bug-git
  cd bug-git
  git svn fetch

Here the .git/config generated by git svn init:
  [core]
  	repositoryformatversion = 0
	filemode = true
	bare = false
	logallrefupdates = true
  [svn-remote "svn"]
	url = file:///tmp/bug
	fetch = trunk:refs/remotes/trunk
	tags = tags//*:refs/remotes/tags/*

If I remove the extra / in the tags line, all goes as expected.
Using --tags /tags in git svn init works as well.


Regards,
Rodolphe

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages git-svn depends on:
ii  git                   1:1.7.10-1
ii  libsvn-perl           1.6.17dfsg-3
ii  libterm-readkey-perl  2.30-4+b2
ii  libwww-perl           6.04-1

git-svn recommends no packages.

Versions of packages git-svn suggests:
ii  git-doc     <none>
ii  subversion  1.6.17dfsg-3

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#661094; Package git-svn. (Mon, 14 May 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Mon, 14 May 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 661094@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Rodolphe Pelloux-Prayer <rodolphe@damsy.net>
Cc: 661094@bugs.debian.org, Роман Ержуков <romaerzhuk@yandex.ru>
Subject: Re: git svn dcommit: subversion/libsvn_subr/path.c:414: svn_path_is_empty: Assertion `is_canonical(path, strlen(path))' failed.
Date: Mon, 14 May 2012 12:27:50 -0500
tags 661094 - unreproducible
# assertion failure
severity 661094 important
quit

Rodolphe Pelloux-Prayer wrote:

> perl: /tmp/buildd/subversion-1.6.17dfsg/subversion/libsvn_subr/path.c :115 : svn_path_join:  L'assertion « svn_path_is_canonical(component, pool) » a échoué.
[...]
> Here a quick script to reproduce the bug:
[...]
>   git svn init file:///tmp/bug --trunk file:///tmp/bug/trunk --tags file:///tmp/bug/tags bug-git
[...]
> Here the .git/config generated by git svn init:
[...]
>   [svn-remote "svn"]
> 	url = file:///tmp/bug
> 	fetch = trunk:refs/remotes/trunk
> 	tags = tags//*:refs/remotes/tags/*
>
> If I remove the extra / in the tags line, all goes as expected.
> Using --tags /tags in git svn init works as well.

Nicely done.  I can reproduce this now (with subversion packages
at version 1.6.17dfsg-3).




Removed tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:06 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'git-svn' to 'libsvn-perl'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions git/1:1.7.9-1 and git/1:1.7.10-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:10 GMT) Full text and rfc822 format available.

Marked as found in versions subversion/1.6.17dfsg-3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:10 GMT) Full text and rfc822 format available.

Removed indication that 661094 affects libsvn-perl Added indication that 661094 affects git-svn Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:11 GMT) Full text and rfc822 format available.

Marked as found in versions subversion/1.6.12dfsg-4. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:14 GMT) Full text and rfc822 format available.

Merged 616168 661094 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:15 GMT) Full text and rfc822 format available.

Owner recorded as Jonathan Nieder <jrnieder@gmail.com>. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 May 2012 17:33:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:46:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.